Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1108227

Description of problem:

Our automation shows that if you try to fetch information from a GPG key by its name using hammer, you get a

HammerCLIForeman::ResolverError

2014-06-11 09:30:58 - robottelo - DEBUG - Running test TestGPGKey/test_redmine_4272

2014-06-11 09:30:58 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme  --output csv gpg create

--organization-id='51' --name='BCWFfPklUc' --key='/tmp/xhvz'

2014-06-11 09:31:02 - robottelo - DEBUG - <<<

Message,Id,Name

GPG Key created,5,BCWFfPklUc

2014-06-11 09:31:02 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme  --output csv gpg info --id='5'

--organization-id='51'

2014-06-11 09:31:04 - robottelo - DEBUG - <<<

ID,Name,Organization,Content

5,BCWFfPklUc,bub6zfap,jhe50r

2014-06-11 09:31:10 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme  --output csv gpg info --id='5'

2014-06-11 09:31:13 - robottelo - DEBUG - <<<

ID,Name,Organization,Content

5,BCWFfPklUc,bub6zfap,jhe50r

.2014-06-11 09:31:13 - robottelo - DEBUG - Running test TestGPGKey/test_redmine_4480

2014-06-11 09:31:13 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme  --output csv gpg create

--organization-id='51' --name='ACLzWuzqZw' --key='/tmp/lolu'

2014-06-11 09:31:16 - robottelo - DEBUG - <<<

Message,Id,Name

GPG Key created,6,ACLzWuzqZw

2014-06-11 09:31:16 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme  --output csv gpg info --id='6'

--organization-id='51'

2014-06-11 09:31:19 - robottelo - DEBUG - <<<

ID,Name,Organization,Content

6,ACLzWuzqZw,bub6zfap,"The following public key can be used to verify RPM packages built and

signed by Red Hat, Inc.  This key is used for packages in Red Hat

products shipped after November 2009, and for all updates to those

products.

Questions about this key should be sent to security@redhat.com.

pub  4096R/FD431D51 2009-10-22 Red Hat, Inc. (release key 2) <security@redhat.com>

-----BEGIN PGP PUBLIC KEY BLOCK-----

Version: GnuPG v1.2.6 (GNU/Linux)

mQINBErgSTsBEACh2A4b0O9t+vzC9VrVtL1AKvUWi9OPCjkvR7Xd8DtJxeeMZ5eF

0HtzIG58qDRybwUe89FZprB1ffuUKzdE+HcL3FbNWSSOXVjZIersdXyH3NvnLLLF

0DNRB2ix3bXG9Rh/RXpFsNxDp2CEMdUvbYCzE79K1EnUTVh1L0Of023FtPSZXX0c
u7Pb5DI5lX5YeoXO6RoodrIGYJsVBQWnrWw4xNTconUfNPk0EGZtEnzvH2zyPoJh

XGF+Ncu9XwbalnYde10OCvSWAZ5zTCpoLMTvQjWpbCdWXJzCm6G+/hx9upke546H

5IjtYm4dTIVTnc3wvDiODgBKRzOl9rEOCIgOuGtDxRxcQkjrC+xvg5Vkqn7vBUyW

9pHedOU+PoF3DGOM+dqv+eNKBvh9YF9ugFAQBkcG7viZgvGEMGGUpzNgN7XnS1gj

/DPo9mZESOYnKceve2tIC87p2hqjrxOHuI7fkZYeNIcAoa83rBltFXaBDYhWAKS1

PcXS1/7JzP0ky7d0L6Xbu/If5kqWQpKwUInXtySRkuraVfuK3Bpa+X1XecWi24JY

HVtlNX025xx1ewVzGNCTlWn1skQN2OOoQTV4C8/qFpTW6DTWYurd4+fE0OJFJZQF

buhfXYwmRlVOgN5i77NTIJZJQfYFj38c/Iv5vZBPokO6mffrOTv3MHWVgQARAQAB

tDNSZWQgSGF0LCBJbmMuIChyZWxlYXNlIGtleSAyKSA8c2VjdXJpdHlAcmVkaGF0

LmNvbT6JAjYEEwECACAFAkrgSTsCGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAK

CRAZni+R/UMdUWzpD/9s5SFR/ZF3yjY5VLUFLMXIKUztNN3oc45fyLdTI3+UClKC

2tEruzYjqNHhqAEXa2sN1fMrsuKec61Ll2NfvJjkLKDvgVIh7kM7aslNYVOP6BTf

C/JJ7/ufz3UZmyViH/WDl+AYdgk3JqCIO5w5ryrC9IyBzYv2m0HqYbWfphY3uHw5

un3ndLJcu8+BGP5F+ONQEGl+DRH58Il9Jp3HwbRa7dvkPgEhfFR+1hI+Btta2C7E

0/2NKzCxZw7Lx3PBRcU92YKyaEihfy/aQKZCAuyfKiMvsmzs+4poIX7I9NQCJpyE

IGfINoZ7VxqHwRn/d5mw2MZTJjbzSf+Um9YJyA0iEEyD6qjriWQRbuxpQXmlAJbh

8okZ4gbVFv1F8MzK+4R8VvWJ0XxgtikSo72fHjwha7MAjqFnOq6eo6fEC/75g3NL

Ght5VdpGuHk0vbdENHMC8wS99e5qXGNDued3hlTavDMlEAHl34q2H9nakTGRF5Ki

JUfNh3DVRGhg8cMIti21njiRh7gyFI2OccATY7bBSr79JhuNwelHuxLrCFpY7V25

OFktl15jZJaMxuQBqYdBgSay2G0U6D1+7VsWufpzd/Abx1/c3oi9ZaJvW22kAggq

dzdA27UUYjWvx42w9menJwh/0jeQcTecIUd0d0rFcw/c1pvgMMl/Q73yzKgKYw==

=zbHE

-----END PGP PUBLIC KEY BLOCK-----

The following public key can be used to verify RPM packages built and

signed by Red Hat, Inc.  This key is a supporting (auxiliary) key for

Red Hat products shipped after November 2006 and for all updates to

those products.

Questions about this key should be sent to security@redhat.com.

-----BEGIN PGP PUBLIC KEY BLOCK-----

Version: GnuPG v1.2.6 (GNU/Linux)

mQGiBEVwDGkRBACwPhZIpvkjI8wV9sFTDoqyPLx1ub8Sd/w+YuI5Ovm49mvvEQVT

VLg8FgE5JlST59AbsLDyVtRa9CxIvN5syBVrWWWtHtDnnylFBcqG/A6J3bI4E9/A

UtSL5Zxbav0+utP6f3wOpxQrxc+WIDVgpurdBKAQ3dsobGBqypeX6FXZ5wCgou6C

yZpGIBqosJaDWLzNeOfb/70D/1thLkQyhW3JJ6cHCYJHNfBShvbLWBf6S231mgmu

MyMlt8Kmipc9bw+saaAkSkVsQ/ZbfjrWB7e5kbMruKLVrH+nGhamlHYUGyAPtsPg

Uj/NUSj5BmrCsOkMpn43ngTLssE9MLhSPj2nIHGFv9B+iVLvomDdwnaBRgQ1aK8z

z6MAA/406yf5yVJ/MlTWs1/68VwDhosc9BtU1V5IE0NXgZUAfBJzzfVzzKQq6zJ2

eZsMLhr96wbsW13zUZt1ing+ulwh2ee4meuJq6h/971JspFY/XBhcfq4qCNqVjsq

SZnWoGdCO6J8CxPIemD2IUHzjoyyeEj3RVydup6pcWZAmhzkKrQzUmVkIEhhdCwg

SW5jLiAoYXV4aWxpYXJ5IGtleSkgPHNlY3VyaXR5QHJlZGhhdC5jb20+iF4EExEC

AB4FAkVwDGkCGwMGCwkIBwMCAxUCAwMWAgECHgECF4AACgkQRWiciC+mWOC1rQCg

ooNLCFOzNPcvhd9Za8C801HmnsYAniCw3yzrCqtjYnxDDxlufH0FVTwX

=d/bm

-----END PGP PUBLIC KEY BLOCK-----"

2014-06-11 09:31:24 - robottelo - DEBUG - >>> LANG=en_US hammer -v -u admin -p changeme  --output csv gpg info

--name='ACLzWuzqZw' --organization-id='51'

2014-06-11 09:31:27 - robottelo - DEBUG - <<< [ERROR 2014-06-11 09:31:25 Exception] Error: gpg_key found more than once

Error: gpg_key found more than once

[ERROR 2014-06-11 09:31:25 Exception]

HammerCLIForeman::ResolverError (gpg_key found more than once):

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:109:in `pick_result'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:104:in `find_resource'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:82:in `get_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:76:in `gpg_key_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:133:in `send'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:133:in `get_resource_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:122:in `get_identifier'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:241:in `request_params'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:42:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:154:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:288:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:33:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/bin/hammer:100

/usr/bin/hammer:19:in `load'

/usr/bin/hammer:19

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.15-1.el6.noarch

candlepin-selinux-0.9.15-1.el6.noarch

candlepin-tomcat6-0.9.15-1.el6.noarch

elasticsearch-0.90.10-4.el6.noarch

foreman-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-compute-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-gce-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-libvirt-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-ovirt-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-postgresql-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-proxy-1.6.0-0.develop.201406091836git1dc369d.el6.noarch

foreman-release-1.6.0-0.develop.201406101320git693391b.el6.noarch

foreman-selinux-1.6.0-0.develop.201405301314git8ad6a63.el6.noarch

foreman-vmware-1.6.0-0.develop.201406101320git693391b.el6.noarch

katello-1.5.0-14.201406101627git8fd5341.el6.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201406101716git1292448.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-0.3-3.el6.noarch

pulp-nodes-common-2.4.0-0.18.beta.el6.noarch

pulp-nodes-parent-2.4.0-0.18.beta.el6.noarch

pulp-puppet-plugins-2.4.0-0.18.beta.el6.noarch

pulp-puppet-tools-2.4.0-0.18.beta.el6.noarch

pulp-rpm-plugins-2.4.0-0.18.beta.el6.noarch

pulp-selinux-2.4.0-0.18.beta.el6.noarch

pulp-server-2.4.0-0.18.beta.el6.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-2.el6.noarch

ruby193-rubygem-runcible-1.1.0-1.el6.noarch

rubygem-hammer_cli-0.1.1-1.201406060838git35c7928.el6.noarch

rubygem-hammer_cli_foreman-0.1.1-1.201406041305gitac7deb1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-1.201405270839git145bea1.git.0.f729008.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201405271430gitc178633.git.0.6be9e8e.el6.noarch

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

1. LANG=en_US hammer v -d -u admin -p changeme  --output csv gpg info --name='ACLzWuzqZw' --organization-id='51'

[ INFO 2014-06-11 10:56:35 Init] Initialization of Hammer CLI (0.1.1) has started...

[DEBUG 2014-06-11 10:56:35 Init] Running at ruby 1.8.7-p352
[ INFO 2014-06-11 10:56:35 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded

[ INFO 2014-06-11 10:56:35 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded

[ INFO 2014-06-11 10:56:35 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded

[DEBUG 2014-06-11 10:56:36 Connection] Registered: foreman

[DEBUG 2014-06-11 10:56:36 API] Global headers: {

:content_type => "application/json",

:accept => "application/json;version=2",

"Accept-Language" => "en"

}

[ INFO 2014-06-11 10:56:36 API] GET /apidoc/apipie_checksum

[DEBUG 2014-06-11 10:56:36 API] Params: {}

[DEBUG 2014-06-11 10:56:36 API] Headers: {

:accept => "application/json",

:params => {}

}

[DEBUG 2014-06-11 10:56:36 API] Response {

"checksum" => "499227afba50ce54e9484ad74567efa8"

}

[ INFO 2014-06-11 10:56:37 Modules] Extension module hammer_cli_foreman (0.1.1) loaded

[ INFO 2014-06-11 10:56:37 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was

removed.

[ INFO 2014-06-11 10:56:37 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was

created.

[ INFO 2014-06-11 10:56:38 Modules] Extension module hammer_cli_katello (0.0.3) loaded

[DEBUG 2014-06-11 10:56:38 Init] Using locale 'en'

[DEBUG 2014-06-11 10:56:38 Init] 'mo' files for locale domain 'hammer-cli' loaded from

'/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/locale'

[DEBUG 2014-06-11 10:56:38 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from

'/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/locale'

[DEBUG 2014-06-11 10:56:38 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from

'/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.3/locale'

[ INFO 2014-06-11 10:56:38 HammerCLI::MainCommand] Called with options: {"option_username"=>"admin",

"option_password"=>"***", "option_verbose"=>true, "option_output"=>"csv", "option_debug"=>true}

[ INFO 2014-06-11 10:56:38 HammerCLIKatello::GpgKeyCommand] Called with options: {}

[ INFO 2014-06-11 10:56:38 HammerCLIKatello::GpgKeyCommand::InfoCommand] Called with options:

{"option_organization_id"=>"51", "option_name"=>"ACLzWuzqZw"}

[ INFO 2014-06-11 10:56:38 API] GET /apidoc/apipie_checksum

[DEBUG 2014-06-11 10:56:38 API] Params: {}

[DEBUG 2014-06-11 10:56:38 API] Headers: {

:accept => "application/json",

:params => {}

}

[DEBUG 2014-06-11 10:56:38 API] Response {

"checksum" => "499227afba50ce54e9484ad74567efa8"

}

[ INFO 2014-06-11 10:56:38 API] GET /katello/api/gpg_keys

[DEBUG 2014-06-11 10:56:38 API] Params: {

"organization_id" => "51",

"name" => "ACLzWuzqZw"

}

[DEBUG 2014-06-11 10:56:38 API] Headers: {

:params => {

"organization_id" => "51",

"name" => "ACLzWuzqZw"

}

}

[DEBUG 2014-06-11 10:56:38 API] Response {

"results" => [

[0] {

"readonly" => false,

"content" => "jhe50r",

"id" => 5,

"products" => [],

"repositories" => [],

"updated_at" => "2014-06-11T13:30:59Z",

"organization" => {

"label" => "a534wsys",
"name" => "bub6zfap"

},

"permissions" => {

"deletable" => true

},

"name" => "BCWFfPklUc",

"created_at" => "2014-06-11T13:30:59Z"

},

[1] {

"readonly" => false,

"content" => "The following public key can be used to verify RPM packages built and\nsigned by Red Hat, Inc.  This key is used

for packages in Red Hat\nproducts shipped after November 2009, and for all updates to those\nproducts.\n\nQuestions about

this key should be sent to security@redhat.com.\n\npub  4096R/FD431D51 2009-10-22 Red Hat, Inc. (release key 2) <

security@redhat.com>\n\n-----BEGIN PGP PUBLIC KEY BLOCK----\nVersion: GnuPG v1.2.6

(GNU/Linux)\n\nmQINBErgSTsBEACh2A4b0O9t+vzC9VrVtL1AKvUWi9OPCjkvR7Xd8DtJxeeMZ5eF\n0HtzIG58qDRybwUe89F

ZprB1ffuUKzdE+HcL3FbNWSSOXVjZIersdXyH3NvnLLLF\n0DNRB2ix3bXG9Rh/RXpFsNxDp2CEMdUvbYCzE79K1EnUTVh1L

0Of023FtPSZXX0c\nu7Pb5DI5lX5YeoXO6RoodrIGYJsVBQWnrWw4xNTconUfNPk0EGZtEnzvH2zyPoJh\nXGF+Ncu9XwbalnY

de10OCvSWAZ5zTCpoLMTvQjWpbCdWXJzCm6G+/hx9upke546H\n5IjtYm4dTIVTnc3wvDiODgBKRzOl9rEOCIgOuGtDxRxcQ

kjrC+xvg5Vkqn7vBUyW\n9pHedOU+PoF3DGOM+dqv+eNKBvh9YF9ugFAQBkcG7viZgvGEMGGUpzNgN7XnS1gj\n/DPo9mZE

SOYnKceve2tIC87p2hqjrxOHuI7fkZYeNIcAoa83rBltFXaBDYhWAKS1\nPcXS1/7JzP0ky7d0L6Xbu/If5kqWQpKwUInXtySRkuraV

fuK3Bpa+X1XecWi24JY\nHVtlNX025xx1ewVzGNCTlWn1skQN2OOoQTV4C8/qFpTW6DTWYurd4+fE0OJFJZQF\nbuhfXYwm

RlVOgN5i77NTIJZJQfYFj38c/Iv5vZBPokO6mffrOTv3MHWVgQARAQAB\ntDNSZWQgSGF0LCBJbmMuIChyZWxlYXNlIGtleSA

yKSA8c2VjdXJpdHlAcmVkaGF0\nLmNvbT6JAjYEEwECACAFAkrgSTsCGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAK\n

CRAZni+R/UMdUWzpD/9s5SFR/ZF3yjY5VLUFLMXIKUztNN3oc45fyLdTI3+UClKC\n2tEruzYjqNHhqAEXa2sN1fMrsuKec61Ll2

NfvJjkLKDvgVIh7kM7aslNYVOP6BTf\nC/JJ7/ufz3UZmyViH/WDl+AYdgk3JqCIO5w5ryrC9IyBzYv2m0HqYbWfphY3uHw5\nun3n

dLJcu8+BGP5F+ONQEGl+DRH58Il9Jp3HwbRa7dvkPgEhfFR+1hI+Btta2C7E\n0/2NKzCxZw7Lx3PBRcU92YKyaEihfy/aQKZCA

uyfKiMvsmzs+4poIX7I9NQCJpyE\nIGfINoZ7VxqHwRn/d5mw2MZTJjbzSf+Um9YJyA0iEEyD6qjriWQRbuxpQXmlAJbh\n8okZ4g

bVFv1F8MzK+4R8VvWJ0XxgtikSo72fHjwha7MAjqFnOq6eo6fEC/75g3NL\nGht5VdpGuHk0vbdENHMC8wS99e5qXGNDued3hl

TavDMlEAHl34q2H9nakTGRF5Ki\nJUfNh3DVRGhg8cMIti21njiRh7gyFI2OccATY7bBSr79JhuNwelHuxLrCFpY7V25\nOFktl15jZ

JaMxuQBqYdBgSay2G0U6D1+7VsWufpzd/Abx1/c3oi9ZaJvW22kAggq\ndzdA27UUYjWvx42w9menJwh/0jeQcTecIUd0d0rFcw/

c1pvgMMl/Q73yzKgKYw==\n=zbHE\n-----END PGP PUBLIC KEY BLOCK-----\nThe following public key can be used to verify

RPM packages built and\nsigned by Red Hat, Inc.  This key is a supporting (auxiliary) key for\nRed Hat products shipped after

November 2006 and for all updates to\nthose products.\n\nQuestions about this key should be sent to security@redhat.com

.\n\n-----BEGIN PGP PUBLIC KEY BLOCK-----\nVersion: GnuPG v1.2.6

(GNU/Linux)\n\nmQGiBEVwDGkRBACwPhZIpvkjI8wV9sFTDoqyPLx1ub8Sd/w+YuI5Ovm49mvvEQVT\nVLg8FgE5JlST59AbsL

DyVtRa9CxIvN5syBVrWWWtHtDnnylFBcqG/A6J3bI4E9/A\nUtSL5Zxbav0+utP6f3wOpxQrxc+WIDVgpurdBKAQ3dsobGBqypeX

6FXZ5wCgou6C\nyZpGIBqosJaDWLzNeOfb/70D/1thLkQyhW3JJ6cHCYJHNfBShvbLWBf6S231mgmu\nMyMlt8Kmipc9bw+saa

AkSkVsQ/ZbfjrWB7e5kbMruKLVrH+nGhamlHYUGyAPtsPg\nUj/NUSj5BmrCsOkMpn43ngTLssE9MLhSPj2nIHGFv9B+iVLvomD

dwnaBRgQ1aK8z\nz6MAA/406yf5yVJ/MlTWs1/68VwDhosc9BtU1V5IE0NXgZUAfBJzzfVzzKQq6zJ2\neZsMLhr96wbsW13zUZt

1ing+ulwh2ee4meuJq6h/971JspFY/XBhcfq4qCNqVjsq\nSZnWoGdCO6J8CxPIemD2IUHzjoyyeEj3RVydup6pcWZAmhzkKrQzU

mVkIEhhdCwg\nSW5jLiAoYXV4aWxpYXJ5IGtleSkgPHNlY3VyaXR5QHJlZGhhdC5jb20+iF4EExEC\nAB4FAkVwDGkCGwMGC

wkIBwMCAxUCAwMWAgECHgECF4AACgkQRWiciC+mWOC1rQCg\nooNLCFOzNPcvhd9Za8C801HmnsYAniCw3yzrCqtjYnx

DDxlufH0FVTwX\n=d/bm\n-----END PGP PUBLIC KEY BLOCK-----",

"id" => 3,

"products" => [],

"repositories" => [],

"updated_at" => "2014-06-11T13:30:29Z",

"organization" => {

"label" => "a534wsys",

"name" => "bub6zfap"

},

"permissions" => {

"deletable" => true

},

"name" => "HdDxD2Y1ut",

"created_at" => "2014-06-11T13:30:29Z"

},

[2] {

"readonly" => false,

"content" => "The following public key can be used to verify RPM packages built and\nsigned by Red Hat, Inc.  This key is used

for packages in Red Hat\nproducts shipped after November 2009, and for all updates to those\nproducts.\n\nQuestions about

this key should be sent to security@redhat.com.\n\npub  4096R/FD431D51 2009-10-22 Red Hat, Inc. (release key 2) <

security@redhat.com>\n\n-----BEGIN PGP PUBLIC KEY BLOCK-----\nVersion: GnuPG v1.2.6

(GNU/Linux)\n\nmQINBErgSTsBEACh2A4b0O9t+vzC9VrVtL1AKvUWi9OPCjkvR7Xd8DtJxeeMZ5eF\n0HtzIG58qDRybwUe89F

ZprB1ffuUKzdE+HcL3FbNWSSOXVjZIersdXyH3NvnLLLF\n0DNRB2ix3bXG9Rh/RXpFsNxDp2CEMdUvbYCzE79K1EnUTVh1L

0Of023FtPSZXX0c\nu7Pb5DI5lX5YeoXO6RoodrIGYJsVBQWnrWw4xNTconUfNPk0EGZtEnzvH2zyPoJh\nXGF+Ncu9XwbalnY

de10OCvSWAZ5zTCpoLMTvQjWpbCdWXJzCm6G+/hx9upke546H\n5IjtYm4dTIVTnc3wvDiODgBKRzOl9rEOCIgOuGtDxRxcQ
kjrC+xvg5Vkqn7vBUyW\n9pHedOU+PoF3DGOM+dqv+eNKBvh9YF9ugFAQBkcG7viZgvGEMGGUpzNgN7XnS1gj\n/DPo9mZE

SOYnKceve2tIC87p2hqjrxOHuI7fkZYeNIcAoa83rBltFXaBDYhWAKS1\nPcXS1/7JzP0ky7d0L6Xbu/If5kqWQpKwUInXtySRkuraV

fuK3Bpa+X1XecWi24JY\nHVtlNX025xx1ewVzGNCTlWn1skQN2OOoQTV4C8/qFpTW6DTWYurd4+fE0OJFJZQF\nbuhfXYwm

RlVOgN5i77NTIJZJQfYFj38c/Iv5vZBPokO6mffrOTv3MHWVgQARAQAB\ntDNSZWQgSGF0LCBJbmMuIChyZWxlYXNlIGtleSA

yKSA8c2VjdXJpdHlAcmVkaGF0\nLmNvbT6JAjYEEwECACAFAkrgSTsCGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAK\n

CRAZni+R/UMdUWzpD/9s5SFR/ZF3yjY5VLUFLMXIKUztNN3oc45fyLdTI3+UClKC\n2tEruzYjqNHhqAEXa2sN1fMrsuKec61Ll2

NfvJjkLKDvgVIh7kM7aslNYVOP6BTf\nC/JJ7/ufz3UZmyViH/WDl+AYdgk3JqCIO5w5ryrC9IyBzYv2m0HqYbWfphY3uHw5\nun3n

dLJcu8+BGP5F+ONQEGl+DRH58Il9Jp3HwbRa7dvkPgEhfFR+1hI+Btta2C7E\n0/2NKzCxZw7Lx3PBRcU92YKyaEihfy/aQKZCA

uyfKiMvsmzs+4poIX7I9NQCJpyE\nIGfINoZ7VxqHwRn/d5mw2MZTJjbzSf+Um9YJyA0iEEyD6qjriWQRbuxpQXmlAJbh\n8okZ4g

bVFv1F8MzK+4R8VvWJ0XxgtikSo72fHjwha7MAjqFnOq6eo6fEC/75g3NL\nGht5VdpGuHk0vbdENHMC8wS99e5qXGNDued3hl

TavDMlEAHl34q2H9nakTGRF5Ki\nJUfNh3DVRGhg8cMIti21njiRh7gyFI2OccATY7bBSr79JhuNwelHuxLrCFpY7V25\nOFktl15jZ

JaMxuQBqYdBgSay2G0U6D1+7VsWufpzd/Abx1/c3oi9ZaJvW22kAggq\ndzdA27UUYjWvx42w9menJwh/0jeQcTecIUd0d0rFcw/

c1pvgMMl/Q73yzKgKYw==\n=zbHE\n-----END PGP PUBLIC KEY BLOCK-----\nThe following public key can be used to verify

RPM packages built and\nsigned by Red Hat, Inc.  This key is a supporting (auxiliary) key for\nRed Hat products shipped after

November 2006 and for all updates to\nthose products.\n\nQuestions about this key should be sent to security@redhat.com

.\n\n-----BEGIN PGP PUBLIC KEY BLOCK-----\nVersion: GnuPG v1.2.6

(GNU/Linux)\n\nmQGiBEVwDGkRBACwPhZIpvkjI8wV9sFTDoqyPLx1ub8Sd/w+YuI5Ovm49mvvEQVT\nVLg8FgE5JlST59AbsL

DyVtRa9CxIvN5syBVrWWWtHtDnnylFBcqG/A6J3bI4E9/A\nUtSL5Zxbav0+utP6f3wOpxQrxc+WIDVgpurdBKAQ3dsobGBqypeX

6FXZ5wCgou6C\nyZpGIBqosJaDWLzNeOfb/70D/1thLkQyhW3JJ6cHCYJHNfBShvbLWBf6S231mgmu\nMyMlt8Kmipc9bw+saa

AkSkVsQ/ZbfjrWB7e5kbMruKLVrH+nGhamlHYUGyAPtsPg\nUj/NUSj5BmrCsOkMpn43ngTLssE9MLhSPj2nIHGFv9B+iVLvomD

dwnaBRgQ1aK8z\nz6MAA/406yf5yVJ/MlTWs1/68VwDhosc9BtU1V5IE0NXgZUAfBJzzfVzzKQq6zJ2\neZsMLhr96wbsW13zUZt

1ing+ulwh2ee4meuJq6h/971JspFY/XBhcfq4qCNqVjsq\nSZnWoGdCO6J8CxPIemD2IUHzjoyyeEj3RVydup6pcWZAmhzkKrQzU

mVkIEhhdCwg\nSW5jLiAoYXV4aWxpYXJ5IGtleSkgPHNlY3VyaXR5QHJlZGhhdC5jb20+iF4EExEC\nAB4FAkVwDGkCGwMGC

wkIBwMCAxUCAwMWAgECHgECF4AACgkQRWiciC+mWOC1rQCg\nooNLCFOzNPcvhd9Za8C801HmnsYAniCw3yzrCqtjYnx

DDxlufH0FVTwX\n=d/bm\n-----END PGP PUBLIC KEY BLOCK-----",

"id" => 6,

"products" => [],

"repositories" => [],

"updated_at" => "2014-06-11T13:31:13Z",

"organization" => {

"label" => "a534wsys",

"name" => "bub6zfap"

},

"permissions" => {

"deletable" => true

},

"name" => "ACLzWuzqZw",

"created_at" => "2014-06-11T13:31:13Z"

},

[3] {

"readonly" => false,

"content" => "rhf734h9z8qag6qn3q3s1am5wfyzwd9",

"id" => 1,

"products" => [],

"repositories" => [],

"updated_at" => "2014-06-11T13:29:40Z",

"organization" => {

"label" => "a534wsys",

"name" => "bub6zfap"

},

"permissions" => {

"deletable" => true

},

"name" => "ngErrsX3Jz",

"created_at" => "2014-06-11T13:29:40Z"

},

[4] {

"readonly" => false,

"content" => "The following public key can be used to verify RPM packages built and\nsigned by Red Hat, Inc.  This key is used

for packages in Red Hat\nproducts shipped after November 2009, and for all updates to those\nproducts.\n\nQuestions about

this key should be sent to security@redhat.com.\n\npub  4096R/FD431D51 2009-10-22 Red Hat, Inc. (release key 2) <

security@redhat.com>\n\n-----BEGIN PGP PUBLIC KEY BLOCK-----\nVersion: GnuPG v1.2.6

(GNU/Linux)\n\nmQINBErgSTsBEACh2A4b0O9t+vzC9VrVtL1AKvUWi9OPCjkvR7Xd8DtJxeeMZ5eF\n0HtzIG58qDRybwUe89F

ZprB1ffuUKzdE+HcL3FbNWSSOXVjZIersdXyH3NvnLLLF\n0DNRB2ix3bXG9Rh/RXpFsNxDp2CEMdUvbYCzE79K1EnUTVh1L

0Of023FtPSZXX0c\nu7Pb5DI5lX5YeoXO6RoodrIGYJsVBQWnrWw4xNTconUfNPk0EGZtEnzvH2zyPoJh\nXGF+Ncu9XwbalnY

de10OCvSWAZ5zTCpoLMTvQjWpbCdWXJzCm6G+/hx9upke546H\n5IjtYm4dTIVTnc3wvDiODgBKRzOl9rEOCIgOuGtDxRxcQ

kjrC+xvg5Vkqn7vBUyW\n9pHedOU+PoF3DGOM+dqv+eNKBvh9YF9ugFAQBkcG7viZgvGEMGGUpzNgN7XnS1gj\n/DPo9mZE
SOYnKceve2tIC87p2hqjrxOHuI7fkZYeNIcAoa83rBltFXaBDYhWAKS1\nPcXS1/7JzP0ky7d0L6Xbu/If5kqWQpKwUInXtySRkuraV

fuK3Bpa+X1XecWi24JY\nHVtlNX025xx1ewVzGNCTlWn1skQN2OOoQTV4C8/qFpTW6DTWYurd4+fE0OJFJZQF\nbuhfXYwm

RlVOgN5i77NTIJZJQfYFj38c/Iv5vZBPokO6mffrOTv3MHWVgQARAQAB\ntDNSZWQgSGF0LCBJbmMuIChyZWxlYXNlIGtleSA

yKSA8c2VjdXJpdHlAcmVkaGF0\nLmNvbT6JAjYEEwECACAFAkrgSTsCGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAK\n

CRAZni+R/UMdUWzpD/9s5SFR/ZF3yjY5VLUFLMXIKUztNN3oc45fyLdTI3+UClKC\n2tEruzYjqNHhqAEXa2sN1fMrsuKec61Ll2

NfvJjkLKDvgVIh7kM7aslNYVOP6BTf\nC/JJ7/ufz3UZmyViH/WDl+AYdgk3JqCIO5w5ryrC9IyBzYv2m0HqYbWfphY3uHw5\nun3n

dLJcu8+BGP5F+ONQEGl+DRH58Il9Jp3HwbRa7dvkPgEhfFR+1hI+Btta2C7E\n0/2NKzCxZw7Lx3PBRcU92YKyaEihfy/aQKZCA

uyfKiMvsmzs+4poIX7I9NQCJpyE\nIGfINoZ7VxqHwRn/d5mw2MZTJjbzSf+Um9YJyA0iEEyD6qjriWQRbuxpQXmlAJbh\n8okZ4g

bVFv1F8MzK+4R8VvWJ0XxgtikSo72fHjwha7MAjqFnOq6eo6fEC/75g3NL\nGht5VdpGuHk0vbdENHMC8wS99e5qXGNDued3hl

TavDMlEAHl34q2H9nakTGRF5Ki\nJUfNh3DVRGhg8cMIti21njiRh7gyFI2OccATY7bBSr79JhuNwelHuxLrCFpY7V25\nOFktl15jZ

JaMxuQBqYdBgSay2G0U6D1+7VsWufpzd/Abx1/c3oi9ZaJvW22kAggq\ndzdA27UUYjWvx42w9menJwh/0jeQcTecIUd0d0rFcw/

c1pvgMMl/Q73yzKgKYw==\n=zbHE\n-----END PGP PUBLIC KEY BLOCK-----\nThe following public key can be used to verify

RPM packages built and\nsigned by Red Hat, Inc.  This key is a supporting (auxiliary) key for\nRed Hat products shipped after

November 2006 and for all updates to\nthose products.\n\nQuestions about this key should be sent to security@redhat.com

.\n\n-----BEGIN PGP PUBLIC KEY BLOCK-----\nVersion: GnuPG v1.2.6

(GNU/Linux)\n\nmQGiBEVwDGkRBACwPhZIpvkjI8wV9sFTDoqyPLx1ub8Sd/w+YuI5Ovm49mvvEQVT\nVLg8FgE5JlST59AbsL

DyVtRa9CxIvN5syBVrWWWtHtDnnylFBcqG/A6J3bI4E9/A\nUtSL5Zxbav0+utP6f3wOpxQrxc+WIDVgpurdBKAQ3dsobGBqypeX

6FXZ5wCgou6C\nyZpGIBqosJaDWLzNeOfb/70D/1thLkQyhW3JJ6cHCYJHNfBShvbLWBf6S231mgmu\nMyMlt8Kmipc9bw+saa

AkSkVsQ/ZbfjrWB7e5kbMruKLVrH+nGhamlHYUGyAPtsPg\nUj/NUSj5BmrCsOkMpn43ngTLssE9MLhSPj2nIHGFv9B+iVLvomD

dwnaBRgQ1aK8z\nz6MAA/406yf5yVJ/MlTWs1/68VwDhosc9BtU1V5IE0NXgZUAfBJzzfVzzKQq6zJ2\neZsMLhr96wbsW13zUZt

1ing+ulwh2ee4meuJq6h/971JspFY/XBhcfq4qCNqVjsq\nSZnWoGdCO6J8CxPIemD2IUHzjoyyeEj3RVydup6pcWZAmhzkKrQzU

mVkIEhhdCwg\nSW5jLiAoYXV4aWxpYXJ5IGtleSkgPHNlY3VyaXR5QHJlZGhhdC5jb20+iF4EExEC\nAB4FAkVwDGkCGwMGC

wkIBwMCAxUCAwMWAgECHgECF4AACgkQRWiciC+mWOC1rQCg\nooNLCFOzNPcvhd9Za8C801HmnsYAniCw3yzrCqtjYnx

DDxlufH0FVTwX\n=d/bm\n-----END PGP PUBLIC KEY BLOCK-----",

"id" => 4,

"products" => [],

"repositories" => [],

"updated_at" => "2014-06-11T13:30:45Z",

"organization" => {

"label" => "a534wsys",

"name" => "bub6zfap"

},

"permissions" => {

"deletable" => true

},

"name" => "miAYEEBChi",

"created_at" => "2014-06-11T13:30:45Z"

}

],

"sort" => {

"order" => nil,

"by" => nil

},

"subtotal" => 5,

"page" => 1,

"search" => nil,

"per_page" => 20,

"total" => 5

}

[ERROR 2014-06-11 10:56:38 Exception] Error: gpg_key found more than once

Error: gpg_key found more than once

[ERROR 2014-06-11 10:56:38 Exception]

HammerCLIForeman::ResolverError (gpg_key found more than once):

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:109:in `pick_result'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:104:in `find_resource'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:82:in `get_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:76:in `gpg_key_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:133:in `send'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:133:in `get_resource_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:122:in `get_identifier'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:241:in `request_params'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:42:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:154:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:288:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:33:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/bin/hammer:100

/usr/bin/hammer:19:in `load'

/usr/bin/hammer:19

Associated revisions

Revision e06a9822 - 06/11/2014 07:56 PM - Adam Price

fixes #6173 - gpg info to now filter by name, BZ 1108227

Revision 2e2b06e8 - 06/12/2014 02:28 PM - Adam Price

Merge pull request #4252 from komidore64/rmi6173-gpgkey-filter-name

fixes #6173 - gpg info to now filter by name, BZ 1108227

History

#1 - 06/12/2014 02:53 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:e06a9822c39b970638582028f64c853a8c4a8917.

#2 - 06/13/2014 11:30 PM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#3 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
